{% extends 'base.html'%}
{% load static %}
{% block title %}Mata Kuliah{% endblock %}
{% block content %}
<br><br><br>
    <div class = "container">
        {% if messages %}
            {% for message in messages %}
            <div class = "alert alert-success alert-dismissible fade" role="alert">
                <span type="button" class="close" data-dismiss="alert" aria-label="close">&times;</span>
                {{message}}
            </div>
            {% endfor %}
        {% endif %}
    </div>
    <div class = "container">
        <span>
            <br>
            <br>
            <br>
            <p id ="title"style = "text-align: left;line-height: 25px;">
                Hai! <br>
            </p>
            <p id= "text" style = "text-align: left;">
                berikut mata kuliah yang saya ambil di semester ini
                <br>
                <br>
                <br>
            </p>
        </span>
    </div>
    <div class="container">
        <ul class="list-group">
            <li class = "list-group-item " style="background-color: #56CCF2;">
                <div class="row">
                    <div class = "col-3" style="text-align: center; font-weight: bold;font-family: Quicksand;"> Mata Kuliah</div>
                    <div class = "col" style="text-align: center;font-weight: bold;font-family: Quicksand;"> SKS </div>
                    <div class = "col-3"style="text-align: center;font-weight: bold;font-family: Quicksand;"> Pengajar</div>
                    <div class = "col"style="text-align: center;font-weight: bold;font-family: Quicksand;"> Opsi</div>
                </div>
            </li>
            {% for matkul in matkul %}
            <li class = "list-group-item" style="background-color: #f1f1f1;">
                <div class="row">
                    <div class = "col-3"style="text-align: center;font-family: Quicksand;"> {{matkul.nama}}</div>
                    <div class = "col"style="text-align: center;font-family: Quicksand;"> {{matkul.sks}} </div>
                    <div class = "col-3"style="text-align: center;font-family: Quicksand;"> {{matkul.pengajar}}</div>
                    <div class = "col d-flex justify-content-around">
                        <a href="{% url 'matakuliah:detil' slug=matkul.id %}" role="button" class="btn-sm btn-outline-info" style="text-align: center"> Detil </a>
                        <a href="{% url 'matakuliah:hapus' slug=matkul.id %}" role="button" class ="btn-sm btn-link text-danger"style="text-align: center">Hapus</a>
                    </div>
                </div>
            </li>
            {% endfor %}
        </ul>
    </div>
    <br><br><br>
    <div class = "container">
        <a role = "button" class="btn btn-outline-primary" href="{% url 'matakuliah:tambahmatkul' %}">Tambah Mata Kuliah</a> 
    </div>
{% endblock %}